package com.atlassian.bitbucket.internal.importer;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * User details received from an external repository source.
 */
public interface ExternalUser {

    @Nonnull
    String getAvatarUrl();

    @Nullable
    String getDescription();

    @Nonnull
    String getName();
}
